Itoo Software Forum

Author Topic: Error: RailClone and Shader versions don't match (RC = ??, FSHADER = 2.7.0)  (Read 212 times)

QD6730

  • Newbie
  • *
  • Posts: 7
Hi,
since I updated Railclone to 3.0.9 I am getting the following error message while rendering a 3ds Max Design 2014 scene using Railclone objects: RailClone and Shader versions don't match (RC = ??, FSHADER = 2.7.0).  At the end of the rednering process the railclone objetcs are not visible. Hope anyone can help me quickly!

Kind regards,
Mischa
 

iToo

  • Administrator
  • Hero Member
  • *****
  • Posts: 3076
    • iToo Software
Hi, it seems the installation of RailClone was not completed correctly. It's using yet the Mental Ray shader of RC 2.7.

Please, try this:

1) Be sure Max is closed
2) Delete the following files:

C:\<your max dir>\NVIDIA\shaders_autoload\mentalray\shaders\RCShader.dll
C:\<your max dir>\NVIDIA\shaders_autoload\mentalray\include\RCShader.mi
C:\<your max dir>\plugins\railclonepro.dlo

3) Reinstall RailClone.

Hopefully that should fix the problem.

Carlos Quintero
iToo Software

QD6730

  • Newbie
  • *
  • Posts: 7
Thx for that quick reply! I deleted the files and reinstalled the plugin (no need to unistall it before?). Sadly I got the same erorr message!

QD6730

  • Newbie
  • *
  • Posts: 7
Any other tip/ possible solution?

iToo

  • Administrator
  • Hero Member
  • *****
  • Posts: 3076
    • iToo Software
It's very strange. Please, take a screenshot of the RCShader.dll details and post it here (select the file, right click->Properties->Details). It should be as the attached image.
Carlos Quintero
iToo Software

QD6730

  • Newbie
  • *
  • Posts: 7
here is the screenshot

iToo

  • Administrator
  • Hero Member
  • *****
  • Posts: 3076
    • iToo Software
Thanks, the file seems correct.
We tried to reproduce the problem here using a clean installation of Max design 2014 SP6, but it works fine.

Please, do this:

1) Delete the file RCShader.dll, but NOT reinstall RailClone.
2) Try to render a sample RC scene using Mental Ray. What error do you get ?
Carlos Quintero
iToo Software

QD6730

  • Newbie
  • *
  • Posts: 7
I deleted the requested dll and renderd a scene containing only a railclone object. Got this error message:

PHEN 0.4     11 MB error  051011: shader "rc_geom" not found

QD6730

  • Newbie
  • *
  • Posts: 7
The Nvidia message window says that mental ray 3.11.1.10 is installed (upper right corner). Is that the right version?

iToo

  • Administrator
  • Hero Member
  • *****
  • Posts: 3076
    • iToo Software
Yes, the Mental Ray version is correct, although the problem is not related with that.

That message error should happen only when RCShader.dll is not from the same version that the RailClone plugin (railclonepro.dlo).
In this case, it says that RCShader.dll is version 2.7.0, which has no sense. Futhermore because the version number (2.7.0) is embedeed in RCShader.dll... there is no way that value may be changed.

With the latest test (deleting RCShader.dll) i want to be sure that Max is not loading the file from any other place. The "rc_geom" is the expected result, because the file cannot be found.

What version was you using before upgrading to RC 3.0.9 ? Was it working well before the upgrade ?
Carlos Quintero
iToo Software

QD6730

  • Newbie
  • *
  • Posts: 7
I own railclone for several years (several versions) already and yes it was working before/ never had that problem before. I dont know which version I was working with before. It already had the download manager.

iToo

  • Administrator
  • Hero Member
  • *****
  • Posts: 3076
    • iToo Software
Ok. It's not possible to know what version was you using before, but if it had Update Manager, then must be RC 3.0.7 or RC 3.0.8.

Please try installing RC 3.0.8 which is available in the User Panel->Previous versions, to see if there is any difference.
Carlos Quintero
iToo Software